# Get Transactions

## /transactions

<mark style="color:blue;">`GET`</mark> `https://api.terminal.africa/v1/transactions`

This endpoint allows you to get a list of all transactions on an account.&#x20;

#### Query Parameters

| Name                                     | Type   | Description                                                                     |
| ---------------------------------------- | ------ | ------------------------------------------------------------------------------- |
| perPage                                  | string | Specify how many results will be returned in a single request. Defaults to 100. |
| page                                     | string | Specify the page of results that will be returned in request. Defaults to 1.    |
| wallet<mark style="color:red;">\*</mark> | string | Unique wallet id for user transactions.                                         |

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Set value to `Bearer SECRET_KEY` |

{% tabs %}
{% tab title="200 Transactions retrieved successfully." %}

```
{
    "status": true,
    "message": "Tramsactions retrieved successfully",
    "data": {
        "transactions": [
            {
                "_id": "62b886150cb86736cf385122",
                "account_reference": "VA-42372837787",
                "accountId": "6299e3829bcda6b832054f19",
                "amount": 20988.26,
                "amount_received": 20988.26,
                "converted_amount": 20988.26,
                "currency_converted_to": "NGN",
                "currency": "NGN",
                "description": "DHL Express + (Parcel Insurance) Charge for Shipment SH-70884012569",
                "fee": 0,
                "flat_amount": 2098826,
                "flow": "out",
                "metadata": {
                    "shipment_id": "SH-70884012569"
                },
                "payout_date": null,
                "platform": "terminal",
                "platform_fee": 0,
                "receiver": {
                    "name": "Terminal Africa",
                    "reference": "terminal-africa",
                    "type": "platform"
                },
                "recipient": "",
                "reversed": false,
                "sender": {
                    "name": "Danoice Limited",
                    "id": "DrosEDej1xaqAiZZxRNQFtd2bMF2",
                    "account_number": ""
                },
                "settled": false,
                "settlement_reference": "",
                "status": "success",
                "store_reference": "DrosEDej1xaqAiZZxRNQFtd2bMF2",
                "transaction_source": "wallet",
                "transactionId": "TR-QoRef9lF2V5",
                "txRef": "73620062006565019590066768768429",
                "created_at": "2022-06-26T16:15:17.584Z",
                "updated_at": "2022-06-26T16:15:17.701Z",
                "__v": 0
            },
            {
                "_id": "62b881cf95d970bb67b47523",
                "account_reference": "VA-42372837787",
                "accountId": "6299e3829bcda6b832054f19",
                "amount": 15832.06,
                "amount_received": 158.32,
                "converted_amount": 158.32,
                "currency_converted_to": "NGN",
                "currency": "NGN",
                "description": "Topship Charge for Shipment SH-25550232813",
                "fee": 0,
                "flat_amount": 1583206,
                "flow": "out",
                "metadata": {
                    "shipment_id": "SH-25550232813"
                },
                "payout_date": null,
                "platform": "terminal",
                "platform_fee": 0,
                "receiver": {
                    "name": "Terminal Africa",
                    "reference": "terminal-africa",
                    "type": "platform"
                },
                "recipient": "",
                "reversed": false,
                "sender": {
                    "name": "Danoice Limited",
                    "id": "DrosEDej1xaqAiZZxRNQFtd2bMF2",
                    "account_number": ""
                },
                "settled": false,
                "settlement_reference": "",
                "status": "pending",
                "store_reference": "DrosEDej1xaqAiZZxRNQFtd2bMF2",
                "transaction_source": "wallet",
                "transactionId": "TR-OGzkc07Fuah",
                "txRef": "89900375398410636982148952347701",
                "created_at": "2022-06-26T15:57:03.792Z",
                "updated_at": "2022-06-26T15:57:03.792Z",
                "__v": 0
            },
            {
                "_id": "62b86ee9b5c1df070429ff52",
                "account_reference": "VA-42372837787",
                "accountId": "6299e3829bcda6b832054f19",
                "amount": 1000,
                "amount_received": 1000,
                "converted_amount": 1000,
                "currency_converted_to": "NGN",
                "currency": "NGN",
                "description": "Topship Charge for Shipment SH-71340260119",
                "fee": 0,
                "flat_amount": 100000,
                "flow": "out",
                "payout_date": null,
                "platform": "terminal",
                "platform_fee": 0,
                "receiver": {
                    "name": "Terminal Africa",
                    "reference": "terminal-africa",
                    "type": "platform"
                },
                "recipient": "",
                "reversed": false,
                "sender": {
                    "name": "Danoice Limited",
                    "id": "DrosEDej1xaqAiZZxRNQFtd2bMF2",
                    "account_number": ""
                },
                "settled": false,
                "settlement_reference": "",
                "status": "success",
                "store_reference": "DrosEDej1xaqAiZZxRNQFtd2bMF2",
                "transaction_source": "wallet",
                "transactionId": "TR-CgYqNMtxePy",
                "created_at": "2022-06-26T14:36:25.192Z",
                "updated_at": "2022-06-26T14:36:25.276Z",
                "__v": 0,
                "metadata": {}
            }
        ],
        "pagination": {
            "page": 1,
            "perPage": 3,
            "prevPage": 0,
            "nextPage": 2,
            "currentPage": 1,
            "total": 1514,
            "pageCount": 505,
            "hasPrevPage": false,
            "hasNextPage": true
        }
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.terminal.africa/tship/transaction/get-transactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
